{
  "name": "interface",
  "version": "1.0.0",
  "description": "A collection of common functions for the trains and roads project.",
  "main": "dist/index.js",
  "types": "dist/index.d.ts",
  "scripts": {
    "build": "npm run lint && tsc",
    "lint": "eslint \"*.ts\" \"*/**/*.ts\" --fix"
  },
  "author": "",
  "license": "ISC",
  "devDependencies": {
    "@eslint/js": "^8.0.0",
    "@types/node": "^22.9.0",
    "@typescript-eslint/eslint-plugin": "^8.15.0",
    "@typescript-eslint/parser": "^8.15.0",
    "eslint": "^8.0.0",
    "eslint-config-prettier": "^9.1.0",
    "eslint-plugin-prettier": "^5.2.1",
    "globals": "^15.12.0",
    "typescript": "^5.6.3",
    "typescript-eslint": "^8.15.0"
  },
  "dependencies": {
    "uuid": "^11.0.3",
    "socket.io": "^4.8.1",
    "socket.io-client": "^4.8.1"
  }
}
